Webhooks
Delete a webhook endpoint
DELETE /v1/webhooks/{id}: Delete a webhook endpoint
DELETE /v1/webhooks/{id}
| Operation id | deleteWebhook |
| Key scope | admin: admin keys only |
| Section | Webhooks |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | pattern ^whk_[0-9a-hjkmnp-tv-z]{26}$ |
#Example request
curl -X DELETE "https://api.kaab.ist/v1/webhooks/{id}" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#204
Deleted
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 402 | insufficient_credits: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see error.code) |
| 422 | Semantically invalid request (see error.code) |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |